## com.bbn.openmap.omGraphics.editable
Class RectStateMachine

    java.lang.Object
      com.bbn.openmap.layer.util.stateMachine.StateMachine
          com.bbn.openmap.omGraphics.editable.EOMGStateMachine
              com.bbn.openmap.omGraphics.editable.RectStateMachine

public class RectStateMachine
extends EOMGStateMachine

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.editable.EOMGStateMachine
`DEFAULT_NUMBER_STATES, graphic, GRAPHIC_EDIT, GRAPHIC_SELECTED, GRAPHIC_SETOFFSET, GRAPHIC_UNDEFINED, GRAPHIC_UNSELECTED, NUMBER_STATES, offsetNeeded`

Fields inherited from class com.bbn.openmap.layer.util.stateMachine.StateMachine
`currentState, resetState, states`

Constructor Summary
`RectStateMachine(EditableOMRect rect)`

Method Summary
`protected State[]` `init()`

Methods inherited from class com.bbn.openmap.omGraphics.editable.EOMGStateMachine
`isOffsetNeeded, setEdit, setOffset, setOffsetNeeded, setSelected, setUndefined, setUnselected`

Methods inherited from class com.bbn.openmap.layer.util.stateMachine.StateMachine
`addStates, getResetState, getState, getState, getStates, reset, setMapMouseListenerResponses, setResetState, setResetState, setState, setState, setStateAt, setStates, setStates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RectStateMachine

    public RectStateMachine(EditableOMRect rect)

Method Detail

### init

    protected State[] init()

  Overrides:
    `init` in class `EOMGStateMachine`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details